﻿@model IEnumerable<HealthUp_.Models.Alimentos>

@{
    ViewBag.Title = "AlimentosTela";
    Layout = null;
}

@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
        <div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
        <div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}

<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Alimentos | HealthUp!</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Site de acompanhamento nutricional" />
    <meta name="keywords" content="nutrição, comida, dieta, nutricionista, paciente, médico, massa, corpo, gordura, biopedância" />
    <meta name="author" content="Tamires Antunes, Lucas Sanchez e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">

    <!-- Animate.css -->
    <link href="~/Content/animateNutri.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoonNutri.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapNutri.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popupNutri.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/styleNutri.css" rel="stylesheet" />
    <!-- Modernizr JS -->
    <script src="~/Scripts/Nutrimodernizr-2.6.2.min.js"></script>
    <!-- FOR IE9 below -->
    <!--[if lt IE 9]>
    <script src="js/respond.min.js"></script>
    <![endif]-->
</head>
<body>

    <div class="fh5co-loader"></div>

    <div id="page">
        <nav class="fh5co-nav" role="navigation">
            <div class="container">
                <div class="row">
                    <div class="col-xs-2 text-left">
                        <div id="fh5co-logo"><a href="~/Nutri/Index">HealthUp<span>!</span></a></div>
                    </div>
                    <div class="col-xs-10 text-right menu-1">
                        <ul>
                            <li><a href="~/Nutri/Index">Início</a></li>
                            <!--Se precisar de dropdown-->
                            <!--<li class="has-dropdown">
                                <a href="services.html">Services</a>
                                <ul class="dropdown">
                                    <li><a href="#">Web Design</a></li>
                                    <li><a href="#">eCommerce</a></li>
                                    <li><a href="#">Branding</a></li>
                                    <li><a href="#">API</a></li>
                                </ul>
                            </li>-->
                            <li><a href="~/Nutri/TelaPaciente">Pacientes</a></li>
                            <li><a href="~/Nutri/TabelasReferencias">Tabelas de Referências</a></li>
                            <li class="active"><a href="~/Nutri/AlimentosTela">Alimentos</a></li>
                            <li><a href="~/Login/Sair">Sair</a></li>
                        </ul>
                    </div>
                </div>

            </div>
        </nav>
        <header id="fh5co-header" class="fh5co-cover" role="banner" style="background-image: url('../../Imagens/OSNR1A0.jpg');" data-stellar-background-ratio="0.5">
            <div class="overlay"></div>
            <div class="container">
                <div class="row">
                    <div class="col-md-7 text-left">
                        <div class="display-t">
                            <div class="display-tc animate-box" data-animate-effect="fadeInUp">
                                <h1><strong>Alimentos</strong></h1>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <div id="fh5co-project">
            <div class="container">
                <form action="~/Nutri/AlimentosTela" method="post">
                    <div class="col-md-6 animate-box" style="width: 72%">

                        <div class="row form-group">
                            <div class="col-md-6" style="width: 114%; margin-bottom: 0px">
                                <label for="nome">Procurar Alimento</label> <br />
                                <input type="text" id="nome" name="nome" class="form-control" placeholder="Nome do Alimento" style="width: 59%; float: left; ">
                                <input type="submit" value="Procurar" class="btn btn-lg btn-primary" style="margin-left: 8px; padding: 14px 23px !important">
                            </div>
                        </div>

                    </div>
                </form>

                <form>
                    <div style="width: 314px; height:100px; float:right; margin-bottom: 0px;padding-top: 95px;">
                        <center><input type="submit" value="Cadastrar Alimento" formaction="~/Nutri/CadastrarAlimento" class="btn btn-lg btn-primary" style="margin-left: 8px; padding: 14px 23px !important"></center>
                    </div>
                </form>

                <div id="mostra" class="col-md-6" style="width: 70%; height: 70%">
                    @if (Session["ListaAlimento"] != null)
                    {
                        <!---------------------------------------------------------POP UP PACIENTE-------------------------------------------------------->
                                    <div class="col-md-4 col-sm-6 ">
                                        <br />
                                        <div data-animate-effect="fadeInUp" style="width: 642px;">
                                            <table class="table">
                                                <tr>
                                                    <th>
                                                        @Html.DisplayNameFor(model => model.Nome)
                                                    </th>
                                                    <th>
                                                        @Html.DisplayNameFor(model => model.Kcal)
                                                    </th>
                                                    <th>
                                                        @Html.DisplayNameFor(model => model.Gordura)
                                                    </th>
                                                    <th>
                                                        @Html.DisplayNameFor(model => model.Calcio)
                                                    </th>
                                                    <th>
                                                        @Html.DisplayNameFor(model => model.Proteina)
                                                    </th>
                                                    <th>

                                                    </th>
                                                </tr>

                                                @foreach (var item in Model)
                                                {
                                                    <tr>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Nome)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Kcal)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Gordura)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Calcio)
                                                        </td>

                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Proteina)
                                                        </td>
                                                        <td>
                                                            @Html.ActionLink("Editar", "EditarAlimento", new { nome = item.Nome }) | @Html.ActionLink("Excluir", "ExcluirAlimento", new { nome = item.Nome })

                                                        </td>
                                                    </tr>
                                                }
                                            </table>


                                        </div>
                                    </div>
                            
                                    <!---------------------------------------------------------POP UP PACIENTE-------------------------------------------------------->
                    }
                </div>

            </div>

        </div>



        <footer id="fh5co-footer" role="contentinfo" style="padding-bottom: 42px;">
            <div class="container">
                <div class="row copyright">
                    <div class="col-md-12 text-center">
                        <p>
                            <small class="block">&copy; 2018 HealthUp! Todos os direitos reservados.</small>
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <div class="gototop js-top">
            <a href="#" class="js-gotop"><center><img src="~/Imagens/setaCima.png" alt="" /></center></a>
        </div>

        <!-- jQuery -->
        <script src="~/Scripts/Nutrijquery.min.js"></script>
        <!-- jQuery Easing -->
        <script src="~/Scripts/Nutrijquery.easing.1.3.js"></script>
        <!-- Bootstrap -->
        <script src="~/Scripts/Nutribootstrap.min.js"></script>
        <!-- Waypoints -->
        <script src="~/Scripts/Nutri.js"></script>
        <!-- countTo -->
        <script src="~/Scripts/Nutrijquery.countTo.js"></script>
        <!-- Magnific Popup -->
        <script src="~/Scripts/Nutrijquery.magnific-popup.min.js"></script>
        <script src="~/Scripts/Nutrimagnific-popup-options.js"></script>
        <!-- Stellar -->
        <script src="~/Scripts/Nutrijquery.stellar.min.js"></script>
        <!-- Main -->
        <script src="~/Scripts/Nutrimain.js"></script>
</body>
</html>


